// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

import cz.senslog.connector.model.api.AbstractModel;

import java.time.OffsetDateTime;
import java.util.List;

public class AFarCloudModel extends AbstractModel {

    private final List<? extends MultiMeasurement> unitAggObservations;

    public AFarCloudModel(List<? extends MultiMeasurement> unitAggObservations, OffsetDateTime from, OffsetDateTime to) {
        super(from, to);
        this.unitAggObservations = unitAggObservations;
    }

    public List<? extends MultiMeasurement> getUnitAggObservations() {
        return unitAggObservations;
    }
}
